Foreman - Feature #15919

load statistics page faster
07/31/2016 11:02 AM - Ohad Levy

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Statistics
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3691
Description

Currently all stats are loaded at once, they can be loaded via AJAX instead.

also, the statistics code is not in great shape, making it hard to add new stats if we like.

Associated revisions

Revision 4202625d - 08/04/2016 10:39 AM - Ohad Levy
fixes #15919 - statistics page is loaded via AJAX

Also:

- refactor how statistics data is being called, now it should be trivial

to add additional charts or consume other data from it. It should make
it much easier to reuse statistics charts in other places

(e.g. dashboard) or unify how fact charts are done.

- remove unused JSON response from the statistics controller.

History

#1 - 07/31/2016 11:08 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3691 added

#2 - 08/04/2016 11:01 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4202625d3c2bfc4cfo0f792c4246029743163c45.

#3 - 08/08/2016 06:04 AM - Dominic Cleal

- translation missing: en.field_release set to 160
